Bug 117621 - all //xxx fixme is printed twice
Summary: all //xxx fixme is printed twice
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: Problem reporter (show other bugs)
Version: 3.1.2
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-03 21:06 UTC by Imre Péntek
Modified: 2006-12-29 10:54 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Imre Péntek 2005-12-03 21:06:19 UTC
Version:           3.1.2 (using KDE KDE 3.5.0)
Installed from:    Unlisted Binary Package
Compiler:          gcc version 3.3.4 Reading specs from /usr/lib/gcc-lib/i586-uhu-linux/3.3.4/specs
Configured with: /var/uhubuild/work/compile/configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man --enable-languages=c,c++,objc,java,f77,pascal --enable-shared --with-gnu-as --with-gnu-ld --with-system-zlib --host=i586-uhu-linux
OS:                Linux

open a c++ project, then click problems->fixme
sometimes all of the fixmes are printed twice in the listbox
Comment 1 Imre Péntek 2006-03-11 16:14:50 UTC
Now my distro uses utf8 for all files. and even in this case some accented chars are printed badly (none az all or ?) in this box. And when the message contains such a char it is printed twice: one instance with ? and one without the char, and truncated from that position.
This behavior is present in kdevelop 3.3.1 (kde 3.5.1)
Comment 2 Jens Dagerbo 2006-12-29 10:54:10 UTC
SVN commit 617453 by dagerbo:

This patch does a few related things:
#removes a lot of unused and weird stuff from problemreporter
#all parser activation decisions are moved back into cppsupport where it belongs, problemreporter is just UI
#fixes flickering problem tabs
#fixes a case where  already open documents don't get a problem icon marker
#fixes sorting so it happens numerically, no lexographically
#afaik fixes repeated entries. if this still happens, I don't think problem reporter is responsible
#afaik fixes the remaining cases where the parser could be invoked against non-c/c++ files

BUG: 111341
BUG: 117621
BUG: 131716
BUG: 135958


 M  +53 -14    cppsupportpart.cpp  
 M  +9 -4      cppsupportpart.h  
 M  +44 -144   problemreporter.cpp  
 M  +7 -16     problemreporter.h